%define major_version 3.1
%define minor_version 0.4
%define release 1%{?dist}

Name: redhat-storage-server
Summary: Red Hat Storage Server
Version: %{major_version}.%{minor_version}
Release: %{release}
License: GPLv3+
Group: Applications/System
URL: http://www.redhat.com
Vendor: Red Hat, Inc.
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
Source1: gtop-1.0.tar.gz
Source2: gluster-deploy-0.8.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/service, /sbin/chkconfig
Requires(postun): /sbin/service
Obsoletes: appliance-base
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
Requires: iperf
%endif
Requires: ldb-tools, ntp, rsync, tdb-tools, tuned, qemu-kvm-tools, dstat, screen, nmap, valgrind
Requires: iscsi-initiator-utils
Requires: xfsprogs, xfsdump
Requires: abrt
Requires: abrt-cli
Requires: gluster-nagios-addons
Requires: glusterfs >= 3.7.1, glusterfs-fuse, glusterfs-server, glusterfs-geo-replication
Requires: openstack-swift, swiftonfile
Requires: vdsm-gluster, vdsm-reg
Requires: redhat-storage-logos
## start: resolving bz#994889
# below list is prepared by comparing ISO and Satellite RHS installation
# -- below addition are missing in ISO installation whereas available
# -- in Satellite installation
Requires: acpid
Requires: aic94xx-firmware
Requires: alsa-utils
Requires: at
Requires: bc
Requires: biosdevname
Requires: blktrace
Requires: cyrus-sasl-plain
Requires: eject
Requires: fprintd
Requires: fprintd-pam
Requires: gpm-libs
Requires: hunspell
Requires: hunspell-en
Requires: ivtv-firmware
Requires: iwl1000-firmware
Requires: iwl100-firmware
Requires: iwl3945-firmware
Requires: iwl4965-firmware
Requires: iwl5000-firmware
Requires: iwl5150-firmware
Requires: iwl6000-firmware
Requires: iwl6000g2a-firmware
Requires: iwl6050-firmware
Requires: kexec-tools
Requires: ledmon
Requires: libfprint
Requires: lsof
Requires: man-pages-overrides
Requires: microcode_ctl
Requires: mlocate
Requires: mtr
Requires: mysql-libs
Requires: nano
Requires: ntsysv
Requires: pinfo
Requires: psacct
Requires: quota
Requires: rdate
Requires: redhat-indexhtml
Requires: rfkill
Requires: rng-tools
Requires: scl-utils
Requires: setuptool
Requires: smartmontools
Requires: tcsh
Requires: time
Requires: tmpwatch
Requires: traceroute
Requires: usbutils
Requires: vim-common
Requires: vim-enhanced
Requires: words
Requires: xorg-x11-drv-ati-firmware
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
Requires: atmel-firmware
Requires: b43-fwcutter
Requires: b43-openfwwf
Requires: bfa-firmware
Requires: busybox
Requires: ipw2100-firmware
Requires: ipw2200-firmware
Requires: libertas-usb8388-firmware
Requires: pam_passwdqc
Requires: pcmciautils
Requires: ql23xx-firmware
Requires: ql2100-firmware
Requires: ql2200-firmware
Requires: ql2400-firmware
Requires: ql2500-firmware
Requires: readahead
Requires: rt61pci-firmware
Requires: rt73usb-firmware
Requires: vconfig
Requires: zd1211-firmware
%endif
## end:  resolving bz#994889

%description
Tools for Red Hat Storage Server

%prep
%setup -q -a 1 -a 2

%build
./configure --program-prefix=  --prefix=/ --datadir=/usr/share/redhat-storage-server --localstatedir=/var --mandir=/usr/share/man --infodir=/usr/share/info
%{__make}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
cp -r gtop-1.0 %{buildroot}/usr/lib/glusterfs/.unsupported
cp -r gluster-deploy-0.8 %{buildroot}/usr/lib/glusterfs/.unsupported
%if ( 0%{?rhel} && 0%{?rhel} > 6 )
rm -fr %{buildroot}/etc/tune-profiles
install -D -p -m 644 tuned/rhgs-sequential-io/tuned.conf %{buildroot}/usr/lib/tuned/rhgs-sequential-io/tuned.conf
install -D -p -m 644 tuned/rhgs-random-io/tuned.conf %{buildroot}/usr/lib/tuned/rhgs-random-io/tuned.conf
install -p -m 644 rhel-7-69.pem %{buildroot}/etc/pki/product/69.pem
%else
install -p -m 644 rhel-6-69.pem %{buildroot}/etc/pki/product/69.pem
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
/etc/init.d/gluster-system-settings
/etc/profile.d/gluster-env.sh
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
/etc/tune-profiles/rhs-high-throughput/ktune.sh
/etc/tune-profiles/rhs-high-throughput/ktune.sysconfig
/etc/tune-profiles/rhs-high-throughput/sysctl.ktune
/etc/tune-profiles/rhs-high-throughput/tuned.conf
/etc/tune-profiles/rhs-virtualization/ktune.sh
/etc/tune-profiles/rhs-virtualization/ktune.sysconfig
/etc/tune-profiles/rhs-virtualization/sysctl.ktune
/etc/tune-profiles/rhs-virtualization/tuned.conf
%else
/usr/lib/tuned/rhgs-sequential-io/tuned.conf
/usr/lib/tuned/rhgs-random-io/tuned.conf
%endif
/etc/pki/product/186.pem
/etc/pki/product/69.pem
/etc/sysctl.d/gluster.sysctl
/etc/redhat-storage-release
/usr/lib/glusterfs/.unsupported/

%post
chkconfig gluster-system-settings on
chkconfig iscsi off
chkconfig iscsid off
chkconfig tuned on
chkconfig ntpd on
%if ( 0%{?rhel} && 0%{?rhel} <= 6 )
chkconfig ip6tables off
%endif

sed -i -e 's/Red Hat Storage.* release .*/Red Hat Storage Server release %{major_version}/' /etc/issue /etc/issue.net
# bz#1020291
rm -f /etc/libvirt/qemu/networks/autostart/default.xml

%changelog
* Tue Jul 28 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.4-1
- resolves bz#1242454 - RHGS tuned profiles incompatible with RHEL7
                        tuned

* Wed Jul 22 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.3-1
- resolves bz#1243800 - update RHGS product certificate

* Tue Jul 21 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.2-1
- resolves bz#1243800 - Wrong software versions in product
                        certificates of RHGSS 3.1 on RHEL-7 and RHEL-6

* Thu Jul 16 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.1-3
- resolves bz#1243725 - Do not install RHEL-6 tuned profiles in RHEL-7
                        based RHGS

* Fri Jun 26 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.1-2
- resolves bz#1234885 - RHGS-3.1-RHEL-7 ISO broken due to repoclosure
                        errors

* Mon Jun 22 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.1-1
- resolves bz#1234285 - Change how we disable ipv6
- resolves bz#1044258 - megaraid_sas option max_sectors=2048 is not
                        working in RHS 2.1

* Thu Jun 11 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.0-2
- resolves bz#1226898 - redhat-storage-server should stop disabling
                        SELinux

* Fri May 29 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.1.0.0-1
- resolves bz#1224609: /etc/redhat-storage-release needs update to
                       provide identity for RHGS Server 3.1.0

* Fri Feb 20 2015 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.4.0-1
- resolves bz#1189871: Remove samba-glusterfs dependency

* Sat Dec 27 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.4-1
- resolves bz#1165255: add manual brick config option in
                       rhs_system_init

* Thu Dec 04 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.3-1
- resolves bz#1165255: Refresh "rhs_system_init" script in
                       /usr/lib/glusterfs/.unsupported
- resolves bz#1164721: remove gstatus from dependency list

* Wed Dec 03 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.2-1
- update redhat storage server version

* Wed Dec 03 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.1-2
- resolves bz#1160936: Remove Samba dependencies

* Mon Dec 01 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.1-1
- resolves bz#1120072: Remove legacy RHS 2.0 upgrade scripts from
                       redhat-storage-server package for RHS 3.0
- resolves bz#1164721: remove gstatus utility as its shipped separately

* Mon Nov 17 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.3.0-1
- resolves bz#1164721: Packaging gstatus utility with RHS

* Fri Oct 31 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.2.1-1
- resolves bz#1159273: RHEL product certificate shipped through
                       redhat-storage-server package needs update to
                       RHEL6.6

* Fri Oct 17 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.2.0-1
- resolves bz#1154099: update unsupported gluster-deploy to the latest.

* Wed Sep 24 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.1.0-1
- resolves bz#1114901: rhs-system-init.sh needs modification to
                       support snapshot requirement

* Mon Jul 28 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.3-2
- resolves bz#1123328: Upgrade/Install of
                       redhat-storage-server-3.0.0.3-1.el6rhs fails
                       with dependency error on abrt >= 2.0.8-23

* Mon Jul 21 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.3-1
- resolves bz#1103550: rename certificate files only with product-ids

* Sat Jul 19 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.2-1
- resolves bz#1103550: Include RHS product certificate in
                       /etc/pki/product/186.pem

* Wed Jul 16 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.1-1
- resolves bz#1116789: coredump files getting collected in "/" not in
                       /var/log/core
- remove non-working fix of bz#829657

* Thu Jun 12 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-5
- resolves bz#1108484: remove ctdb dependency as RHS does not install
                       it default

* Fri Jun 06 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-4
- fix ctdb dependency to ctdb2.5

* Fri May 30 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-3
- fix dependency gluster-swift-plugin as swiftonfile
- set glusterfs dependency version to 3.6

* Wed May 07 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-2
- add dependency gluster-nagios-addons

* Wed Mar 12 2014 Balamurugan Arumugam <barumuga@redhat.com> - 3.0.0.0-1
- update major/minor/release version

* Mon Jan 20 2014 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2.0-3
- resolves bz#1038475: Include latest version of "gluster-deploy-tool"

* Thu Dec 12 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2.0-2
- resolves bz#1038475: Include the "gluster-deploy-tool" as part of
                        the unsupported toolset
- resolves bz#994889: Discrepancy in packages installed of ISO based
                      and Satellite based RHS installation

* Tue Nov 26 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.2.0-1
- resolves bz#1015231: rhs-virtualization and rhs-high-throughput
                       profiles not robust enough
- resolves bz#1028449: tuned: barriers need to be left enabled
- resolves bz#1020291: [RHSC] - Adding nodes to the console gives a
                       warning saying "Network virbr0 is not attached
                       to any interface on host server4."

* Wed Nov 20 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-6
- resolves bz#1032128: SELinux in enforcing mode in RHSS system
                       installed from RHSS 2.1 U1 RC ISO. It looks
                       like selinux is set to enforcing by
                       /usr/sbin/lokkit from
                       system-config-firewall-base eventhough its was
                       set to disabled by redhat-storage-server.

* Thu Nov 14 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-5
- resolves bz#1029300: Red Hat Storage Server installation from RH
                       Satellite Server fails, due to missing
                       dependency packages, and package conflict
                       issues

* Wed Nov 13 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-4
- resolves bz#994889: Discrepancy in packages installed of ISO based
                      and Satellite based RHS installation

* Tue Nov 12 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-3
- resolves bz#1029300: remove gpg-pubkey and gpg-pubkey-fd431d51
                       dependencies

* Mon Nov 11 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-2
- resolves bz#994889: Discrepancy in packages installed of ISO based
                      and Satellite based RHS installation

* Thu Oct 24 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.1.0-1
- update release version to update 1

* Wed Aug 28 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.3-1
- updated unsupported rhs-system-init.sh for RHS 2.1

* Wed Aug 28 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.2-1
- populate bricklist with path set in brick file for tuned profiles
- resolves bz#1001040

* Fri Aug 23 2013 Balamurugan Arumugam <barumuga@redhat.com> - 2.1.0.1-1
- resolves bz#829657
- resolves bz#986516
- added unsupported gtop and rhs-system-init.sh
- resolves bz#996352

* Tue Aug 13 2013 Anthony Towns <atowns@redhat.com> - 2.1.0-3
- require tuned, Resolves: bz#989975, bz#920463
- require ntp and start ntpd on boot, Resolves: bz#920450
- require miscellaneous other packages to bring deps closer into line
  with comps groups, Resolves: bz#994889
- version dependency on glusterfs

* Wed Jul 24 2013 Anthony Towns <atowns@redhat.com> - 2.1.0-1
- bump version to match Red Hat Storage version
- add /etc/redhat-storage-release file
- ensure /etc/issue is accurate on upgrades
- disable ipv6, selinux
- set configuration for iscsi, tuned, ip6tables

* Mon Jul 15 2013 Anthony Towns <atowns@redhat.com> - 1.7.3-2
- renamed from appliance/appliance-base to redhat-storage-server
- require glusterfs and other expected RHS packages

* Wed Jun 19 2013 Balamurugan Arumugam <barumuga@redhat.com> - 1.7.3-1
- fixes https://bugzilla.redhat.com/show_bug.cgi?id=910566

* Mon May 20 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.2-1
- Change the version from 1.7.1 to 1.7.2

* Wed May 15 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-3
- Updated to 1.7.1-3

* Wed May 15 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-2
- fix bug in both rhs-high-throughput and rhs-virtualization
- fix bug in both profiles
- handles case where XFS file system is in a raw SCSI device partition

* Wed Mar 20 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7.1-1
- changed the version from 1.7 to 1.7.1

* Tue Mar 19 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-8
- tuned: get readahead right devices those are bricks

* Mon Feb 18 2013 Raghavendra Bhat <rabhat@redhat.com> - 1.7-7
- tuned: add rhs-virtualization profile
- fix tuning parameters
- remove unused .in files

* Thu Jun 21 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-6
- multipath support bug fix in high-throughput profile

* Tue Jun 19 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-5
- Added multipath support in high-throughput profile

* Thu Jun 14 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-4
- Remove aliasing for mkfs.xfs

* Tue May 29 2012 Vijay Bellur <vbellur@redhat.com> - 1.7-3
- Include megaraid module configuration (rhbz#806405)

* Wed May 23 2012 Anthony Towns <atowns@redhat.com> - 1.7-2
- Include megaraid module configuration (rhbz#806405)

* Tue Apr 24 2012 Anthony Towns <atowns@redhat.com> - 1.7-1
- Update for Red Hat Storage 2.0
- Include tuned profile

* Tue Nov 15 2011 Dennis Gregorovic <dgregor@redhat.com> - 1.6-2
- Rebuild for Red Hat Storage Software Appliance 3.2

* Tue Jan 11 2011  <harsha@gluster.com> - ami-tools
- Initial build.

